# Couenne::simpletriplet Class Reference

`#include <CouenneFunTriplets.hpp>`

Inheritance diagram for Couenne::simpletriplet:

List of all members.

## Public Member Functions
| simpletriplet (unary_function f=NULL, unary_function fp=NULL, unary_function fpp=NULL, unary_function fpI=NULL)
| Basic constructor.
virtual | ~simpletriplet ()
| Destructor.
virtual CouNumber | F (CouNumber x)
virtual CouNumber | Fp (CouNumber x)
virtual CouNumber | Fpp (CouNumber x)
virtual CouNumber | FpInv (CouNumber x)
## Protected Attributes
unary_function | f_
unary_function | fp_
unary_function | fpp_
unary_function | fpI_

## Detailed Description

Definition at line 40 of file CouenneFunTriplets.hpp.

## Constructor & Destructor Documentation

Couenne::simpletriplet::simpletriplet | ( | unary_function | f = `NULL`,
|  | unary_function | fp = `NULL`,
|  | unary_function | fpp = `NULL`,
|  | unary_function | fpI = `NULL` |
| ) |  |  | `[inline]`

Basic constructor.

Definition at line 52 of file CouenneFunTriplets.hpp.

virtual Couenne::simpletriplet::~simpletriplet | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 62 of file CouenneFunTriplets.hpp.

## Member Function Documentation

virtual CouNumber Couenne::simpletriplet::F | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Definition at line 64 of file CouenneFunTriplets.hpp.

References f_.

virtual CouNumber Couenne::simpletriplet::Fp | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Definition at line 65 of file CouenneFunTriplets.hpp.

References fp_.

virtual CouNumber Couenne::simpletriplet::Fpp | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Definition at line 66 of file CouenneFunTriplets.hpp.

References fpp_.

virtual CouNumber Couenne::simpletriplet::FpInv | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Definition at line 67 of file CouenneFunTriplets.hpp.

References fpI_.

## Member Data Documentation

unary_function Couenne::simpletriplet::f_`[protected]`

Definition at line 44 of file CouenneFunTriplets.hpp.

Referenced by F().

unary_function Couenne::simpletriplet::fp_`[protected]`

Definition at line 45 of file CouenneFunTriplets.hpp.

Referenced by Fp().

unary_function Couenne::simpletriplet::fpp_`[protected]`

Definition at line 46 of file CouenneFunTriplets.hpp.

Referenced by Fpp().

unary_function Couenne::simpletriplet::fpI_`[protected]`

Definition at line 47 of file CouenneFunTriplets.hpp.

Referenced by FpInv().

The documentation for this class was generated from the following file:

- CouenneFunTriplets.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines